> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deasylabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Unique Tags

> Get a list of unique tags that have been extracted - supports shared connections



## OpenAPI

````yaml /deasy-openapi-stainless.yml post /metadata/get_unique_tags
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: /rest/unstructured
security: []
paths:
  /metadata/get_unique_tags:
    post:
      tags:
        - Metadata
      summary: Get Unique Tags
      description: >-
        Get a list of unique tags that have been extracted - supports shared
        connections
      operationId: get_unique_tags_metadata_get_unique_tags_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetUniqueTagsRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUniqueTagsResponse'
        '403':
          description: Missing token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '500':
          description: >-
            Internal Server Error. An unexpected error occurred while processing
            the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
      security:
        - BasicAuth: []
        - BearerAuth: []
          UserIdAuth: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from unstructured import UnstructuredClient

            client = UnstructuredClient(
                username=os.environ.get("UNSTRUCTURED_USERNAME"),  # This is the default and can be omitted
                password=os.environ.get("UNSTRUCTURED_PASSWORD"),  # This is the default and can be omitted
            )
            response = client.metadata.list_unique_tags(
                data_connector_name="data_connector_name",
            )
            print(response.tags)
        - lang: JavaScript
          source: |-
            import UnstructuredClient from 'unstructured-sdk';

            const client = new UnstructuredClient({
              authMethod: 'My Auth Method',
              username: process.env['UNSTRUCTURED_USERNAME'], // This is the default and can be omitted
              password: process.env['UNSTRUCTURED_PASSWORD'], // This is the default and can be omitted
            });

            const response = await client.metadata.listUniqueTags({
              data_connector_name: 'data_connector_name',
            });

            console.log(response.tags);
components:
  schemas:
    GetUniqueTagsRequest:
      properties:
        data_connector_name:
          type: string
          title: Data Connector Name
        file_names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: File Names
        dataslice_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataslice Id
        node_condition:
          anyOf:
            - items:
                $ref: '#/components/schemas/TagCondition'
              type: array
            - type: 'null'
          title: Node Condition
      type: object
      required:
        - data_connector_name
      title: GetUniqueTagsRequest
    GetUniqueTagsResponse:
      properties:
        tags:
          items:
            type: string
          type: array
          title: Tags
      type: object
      required:
        - tags
      title: GetUniqueTagsResponse
    HTTPError:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: HTTPError
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TagCondition:
      properties:
        tag_id:
          type: string
          title: Tag Id
        values:
          anyOf:
            - items:
                anyOf:
                  - type: string
                  - type: number
                  - type: integer
              type: array
            - type: 'null'
          title: Values
        operator:
          anyOf:
            - $ref: '#/components/schemas/OperatorType'
            - type: 'null'
          default: in
      type: object
      required:
        - tag_id
      title: TagCondition
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OperatorType:
      type: string
      enum:
        - in
        - not_in
      title: OperatorType
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    BearerAuth:
      type: http
      scheme: bearer
    UserIdAuth:
      type: apiKey
      in: header
      name: X-User-ID

````